<?php


 $id = intval($_GET['id']);
    include '../rdb/conn.php';
    include '../comunes_php/cors.php';
    include "../comunes_php/Log.class.php"; 
    
    $log = new Log("app_trace", "./");
    $parametros = print_r($_REQUEST,TRUE); 
    $log->insert($parametros, false, false, false);
    
    
    $sql= " select count(*) from productos where id = $id";
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    $sql="select
                                id,
                                nombre,
                                codigo,
                                tipo_producto_id,
                                tamano,
                                descripcion,
                                (SELECT precio_financiado FROM `precio_productos` WHERE isnull(fecha_fin) and producto_id=p.id) precio_tarjeta,
                                (SELECT precio FROM `precio_productos` WHERE isnull(fecha_fin) and producto_id=p.id) precio_contado,
                                fabrica_id
                                from productos p  where id=$id";

    $rs = mysqli_query( $conn,$sql);
    $items = array();
    $row = mysqli_fetch_array($rs);
    $log->insert($sql, false, false, false);

    echo json_encode($row);

  
    
?>